Bug 1446245 - Standard output is missing in provisioned ansible playbook service
Summary: Standard output is missing in provisioned ansible playbook service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Harpreet Kataria
QA Contact: Shveta
URL:
Whiteboard: ansible:service:playbook
Depends On: 1444853
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-27 13:59 UTC by Satoe Imaishi
Modified: 2017-05-31 15:02 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1444853
Environment:
Last Closed: 2017-05-31 15:02:21 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-27 14:03:11 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/08f4b0af78c3889ced8acddbdad7eb40a1503a02

commit 08f4b0af78c3889ced8acddbdad7eb40a1503a02
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Thu Apr 27 09:23:00 2017 +0000
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Apr 27 09:59:36 2017 -0400

    Merge pull request #1167 from h-kataria/std_output_fix
    
    Removed decodeURI call.
    (cherry picked from commit 48b51dd9a41e6d79143e9d90edf299ab881c8394)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1446245

 app/assets/javascripts/controllers/sanitize_and_render_controller.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Shveta 2017-05-03 05:29:53 UTC
Fixed in 5.8.0.13-rc2.20170502165848_0f98658

Comment 4 CFME Bot 2017-05-17 21:43:16 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/1048ffdbd63fdba91023f42efbad4804728ae254

commit 1048ffdbd63fdba91023f42efbad4804728ae254
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed May 17 13:51:26 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 17 17:32:21 2017 -0400

    Merge pull request #1369 from h-kataria/stdout_fix
    
    Need to gsub occurrences of {{ }} in the output
    (cherry picked from commit f8fab5ea90ab51071663d895e683ef76f0f578f0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1451920
    https://bugzilla.redhat.com/show_bug.cgi?id=1446245

 app/controllers/service_controller.rb       | 13 +++++++++++++
 app/views/service/_svcs_show.html.haml      |  6 ++----
 spec/controllers/service_controller_spec.rb |  7 +++++++
 3 files changed, 22 insertions(+), 4 deletions(-)

Comment 5 Shveta 2017-05-23 19:22:20 UTC
Fixed.
Verified in 5.8.0.16.20170522163900_28fa952

Comment 7 errata-xmlrpc 2017-05-31 15:02:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.